Out-of-Bounds

Affecting jasper package, versions *

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

Heap-based buffer overflow in the jpc_dec_decodepkt function in jpc_t2dec.c in JasPer 2.0.10 allows remote attackers to have unspecified impact via a crafted image.

References

CVSS Score

7.8
high severity
  • Attack Vector
    Local
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    High
  • Availability
    High
CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
CVE
CVE-2017-6852
CWE
CWE-119
Snyk ID
SNYK-DEBIAN8-JASPER-343115
Disclosed
15 Mar, 2017
Published
15 Mar, 2017